org.bouncycastle.crypto.paddings

## Class ISO10126d2Padding

- java.lang.Object
- - org.bouncycastle.crypto.paddings.ISO10126d2Padding

All Implemented Interfaces:
  BlockCipherPadding

    public class ISO10126d2Padding
    extends java.lang.Object
    implements BlockCipherPadding

A padder that adds ISO10126-2 padding to a block.

### Constructor Summary

Constructors
Constructor and Description
`ISO10126d2Padding()`

### Method Summary

Methods
`int` `addPadding(byte[] in, int inOff)` add the pad bytes to the passed in block, returning the number of bytes added.
`java.lang.String` `getPaddingName()` Return the name of the algorithm the padder implements.
`void` `init(java.security.SecureRandom random)` Initialise the padder.
`int` `padCount(byte[] in)` return the number of pad bytes present in the block.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ISO10126d2Padding

    public ISO10126d2Padding()

### Method Detail

#### init

    public void init(java.security.SecureRandom random)
              throws java.lang.IllegalArgumentException

Initialise the padder.

Specified by:
  `init` in interface `BlockCipherPadding`
Parameters:
  `random` - a SecureRandom if available.
Throws:
  `java.lang.IllegalArgumentException`

#### getPaddingName

    public java.lang.String getPaddingName()

Return the name of the algorithm the padder implements.

Specified by:
  `getPaddingName` in interface `BlockCipherPadding`
Returns:
  the name of the algorithm the padder implements.

#### addPadding

    public int addPadding(byte[] in,
                 int inOff)

add the pad bytes to the passed in block, returning the number of bytes added.

Specified by:
  `addPadding` in interface `BlockCipherPadding`

#### padCount

    public int padCount(byte[] in)
                 throws InvalidCipherTextException

return the number of pad bytes present in the block.

Specified by:
  `padCount` in interface `BlockCipherPadding`
Throws:
  `InvalidCipherTextException` - if the padding is badly formed or invalid.